/* The code was made by TamÃƒÂ¡s Imets for an Arduino UNO project
   This code controls the BB-8 Droid from the Star Wars: The Force Awakens,
   and works with Bluetooth RC Car application, using a HC-06 seriaÃƒÂ© bluetooth module
   See more details at instructables.com/member/Imetomi
   Friday,  December 25, 2015
*/
//#include <Servo.h>
#include <SoftwareSerial.h>
#include "DualVNH5019MotorShield.h"
DualVNH5019MotorShield md;

int command = 0;  //incoming serial data
int led = 11;
int ledPin = 13;
int buttonpin = 5;
SoftwareSerial bluetooth(A2, A3);
int cmd;

//Servo head;
void setup() {
  bluetooth.begin(9600);
  Serial.begin(9600); // set up Serial library at 9600 bps - this is the speed the serial interface will work all
  pinMode(led, OUTPUT); //connect here the blue LED
  pinMode (ledPin, OUTPUT);
  pinMode (buttonpin, OUTPUT);
  md.init();

}

void loop() {
 
  if (bluetooth.available()) {
    cmd = bluetooth.read();
    Serial.println(bluetooth);
    Serial.write(cmd);
    
    if (cmd >= 'A' && cmd < 'T')
    {
    
    switch (cmd)
    { 
      
      case 'C':
        md.setM1Speed(0); // stopped
        md.setM2Speed(0); // stopped
        break;

      case 'A':
        md.setM1Speed(-300);
        md.setM2Speed(-300);
        break;

      case 'B':
        md.setM1Speed(-120);
        md.setM2Speed(-120);
        break;

      case 'D':
        md.setM1Speed(120);
        md.setM2Speed(150);
        break;

      case 'E':
        md.setM1Speed(380);
        md.setM2Speed(400);
        break;

      case 'F':
        md.setM1Speed(250);
        md.setM2Speed(-250);
        break;
        
      case 'G':
        md.setM1Speed(120);
        md.setM2Speed(-120);
        break;
        
      case 'H':
        md.setM1Speed(-120);
        md.setM2Speed(120);
        break;
        
      case 'I':
        md.setM1Speed(-250);
        md.setM2Speed(250);
        break;

      case 'J':
        digitalWrite(ledPin, HIGH);
        break;

      case 'K':
         digitalWrite(ledPin, LOW);
         break;

      case 'L':
         digitalWrite(buttonpin, HIGH);
         break;

      case 'M':
         digitalWrite(buttonpin, LOW);
         break;
        
       default:
        cmd=0;
        break;
        
      case 'O':
        digitalWrite(led, LOW);
        break;
      case 'P':
        analogWrite(led, 50);
        break;
      case 'Q':
        analogWrite(led, 100);
        break;
      case 'R':
        analogWrite(led, 150);
        break;
      case 'S':
        analogWrite(led, 200);
        break;
      case 'T':
        analogWrite(led, 255);
        break;
        

     
   }
    }
  }
}
